unit FoodCourtStylingForm;

interface

uses
  System.SysUtils,
  System.Types,
  System.UITypes,
  System.Classes,
  System.Variants,
  System.Actions,
  FMX.Types,
  FMX.Controls,
  FMX.Forms,
  FMX.Graphics,
  FMX.Dialogs,
  FMX.Controls.Presentation,
  FMX.StdCtrls,
  FMX.Objects,
  FMX.TabControl,
  FMX.ActnList,
  FMX.Layouts,
  Radiant.Shapes;

type
  TfrmButtonStylingForm = class(TForm)
    tbcFoodCourt: TTabControl;
    tabSelectRestaurant: TTabItem;
    tabWelcome: TTabItem;
    Label1: TLabel;
    btnChipotle: TButton;
    btnOliveGarden: TButton;
    btnPandaExpress: TButton;
    imgPandaExpress: TImage;
    imgOliveGarden: TImage;
    imgChipotle: TImage;
    aclFoodCourt: TActionList;
    NextTabAction1: TNextTabAction;
    ChangeTabAction1: TChangeTabAction;
    imgBackground: TImageControl;
    btnDineIn: TButton;
    btnTakeAway: TButton;
    lblInstructions: TLabel;
    imgLogo: TImageControl;
    lytLogo: TLayout;
    lytInstructions: TLayout;
    lytDineIn: TLayout;
    lytTakeAway: TLayout;
    lytFooter: TLayout;
    lytContent: TLayout;
    btnBack: TButton;
    btnHelp: TButton;
    PreviousTabAction1: TPreviousTabAction;
    sbkDefault: TStyleBook;
    sbkChipotle: TStyleBook;
    sbkOliveGarden: TStyleBook;
    sbkPandaExpress: TStyleBook;
    procedure btnChipotleClick(Sender: TObject);
    procedure btnOliveGardenClick(Sender: TObject);
    procedure btnPandaExpressClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnBackClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmButtonStylingForm: TfrmButtonStylingForm;

implementation

{$R *.fmx}

procedure TfrmButtonStylingForm.FormCreate(Sender: TObject);
begin
  tbcFoodCourt.TabIndex := 0;
end;



procedure TfrmButtonStylingForm.btnChipotleClick(Sender: TObject);
begin
  StyleBook := sbkChipotle;
  NextTabAction1.Execute;
end;


procedure TfrmButtonStylingForm.btnOliveGardenClick(Sender: TObject);
begin
  StyleBook := sbkOliveGarden;
  NextTabAction1.Execute;
end;


procedure TfrmButtonStylingForm.btnPandaExpressClick(Sender: TObject);
begin
  StyleBook := sbkPandaExpress;
  NextTabAction1.Execute;
end;


procedure TfrmButtonStylingForm.btnBackClick(Sender: TObject);
begin
  PreviousTabAction1.Execute;
end;

end.
